subset,ctd-method {oce} | R Documentation

## Subset a CTD Object

### Description

This function is somewhat analogous to `subset.data.frame`, but only one independent variable may be used in `subset` in any call to the function, which means that repeated calls will be necessary to subset based on more than one independent variable (e.g. time and distance).

### Usage

    ## S4 method for signature 'ctd'
    subset(x, subset, ...)

### Arguments

`x` | A `ctd` object, i.e. one inheriting from `ctd-class`.
`subset` | An expression indicating how to subset `x`.
`...` | Ignored.

### Value

A `ctd` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `ctd` data: `[[,ctd-method`, `[[<-,ctd-method`, `as.ctd`, `cnvName2oceName`, `ctd-class`, `ctdDecimate`, `ctdFindProfiles`, `ctdRaw`, `ctdTrim`, `ctd`, `handleFlags,ctd-method`, `plot,ctd-method`, `plotProfile`, `plotScan`, `plotTS`, `read.ctd.itp`, `read.ctd.odf`, `read.ctd.sbe`, `read.ctd.woce.other`, `read.ctd.woce`, `read.ctd`, `summary,ctd-method`, `woceNames2oceNames`, `write.ctd`

### Examples

    library(oce)
    data(ctd)
    plot(ctd)
    plot(subset(ctd, pressure<10))

[Package oce version 0.9-20 Index]